gr-baz Package

baz_print_char Class Reference
GNU Radio baz C++ Signal Processing Blocks

square a stream of floats. More...

`#include <baz_print_char.h>`

Inheritance diagram for baz_print_char:
[legend]

## Public Member Functions
| ~baz_print_char ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends
BAZ_API baz_print_char_sptr | baz_make_print_char (float threshold=0.0, int limit=-1, const char *file=NULL, int padding=1, bool fixed_limit=false, bool append=false)
| Return a shared_ptr to a new instance of baz_print_char.

## Detailed Description

square a stream of floats.

See also
  howto_square2_ff for a version that subclasses gr::sync_block.

## Constructor & Destructor Documentation

## ◆ ~baz_print_char()

baz_print_char::~baz_print_char | ( |  | ) |

## Member Function Documentation

## ◆ work()

int baz_print_char::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## ◆ baz_make_print_char

BAZ_API baz_print_char_sptr baz_make_print_char | ( | float | threshold = 0.0,
|  | int | limit = -1,
|  | const char * | file = NULL,
|  | int | padding = 1,
|  | bool | fixed_limit = false,
|  | bool | append = false )
| friend

Return a shared_ptr to a new instance of baz_print_char.

To avoid accidental use of raw pointers, baz_print_char's constructor is private. howto_make_square_ff is the public interface for creating new instances.

References BAZ_API.

The documentation for this class was generated from the following file:

- baz_print_char.h